summaryrefslogtreecommitdiff
path: root/source3/script/tests
diff options
context:
space:
mode:
Diffstat (limited to 'source3/script/tests')
-rwxr-xr-xsource3/script/tests/test_net_registry_roundtrip.sh8
1 files changed, 7 insertions, 1 deletions
diff --git a/source3/script/tests/test_net_registry_roundtrip.sh b/source3/script/tests/test_net_registry_roundtrip.sh
index eba28a6223..a50e18e6d9 100755
--- a/source3/script/tests/test_net_registry_roundtrip.sh
+++ b/source3/script/tests/test_net_registry_roundtrip.sh
@@ -50,8 +50,14 @@ s/servername/;&/g
REGPATH="HKLM\Software\Samba"
conf_roundtrip_step() {
- echo $* >>$LOG
+ echo "CMD: $*" >>$LOG
$@ 2>>$LOG
+ RC=$?
+ echo "RC: $RC" >> $LOG
+ test "x$RC" = "x0" || {
+ echo "ERROR: $@ failed (RC=$RC)" | tee -a $LOG
+ }
+ return $RC
# echo -n .
}